#!/bin/sh

####################################################################################
########################### REGRAS DE FIREWALL DA EMBRATEL #######################
####################################################################################


############################
##### DEFININDO AS VARIAVEIS
############################

IPTABLES=/usr/sbin/iptables
###rede lan
LAN=192.168.1.0/30

WAN=
### interface lan
ETHI="eth0"

### interface embratel
ETHE="eth1"

IP_EXT=`ifconfig $ETHE | grep addr: | awk '{ print $2 }' | cut -d: -f 2`
IP_INT=`ifconfig $ETHI | grep addr: | awk '{ print $2 }' | cut -d: -f 2`


###########################
##### LIMPA TODAS AS REGRAS
###########################

echo "Limpando todas as regras ....."
$IPTABLES -F
$IPTABLES -t nat -F
$IPTABLES -X
$IPTABLES -t nat -X

echo "Regras limpas ....."


#########################
##### DEFININDO AS POLYCE
#########################

echo "Definindo as polyces ....."
$IPTABLES -P INPUT DROP
$IPTABLES -P FORWARD DROP
$IPTABLES -P OUTPUT ACCEPT
echo "Polyces definidas ....."


############################
#### REGRAS DA TABELA INPUT
############################
$IPTABLES -A INPUT -i $ETHE -m state --state ESTABLISHED,RELATED -j ACCEPT

#############################
##### REGRAS DA TABELA OUTPUT
#############################


##############################
##### REGRAS DA TABELA FORWARD
##############################
$IPTABLES -A FORWARD -i $ETHE -o $ETHI -m state --state ESTABLISHED,RELATED -j ACCEPT


#################################
##### REGRAS DA TABELA PREROUTING
#################################


##################################
##### REGRAS DA TABELA POSTROUTING
##################################



##### Habilitando o SNAT - compartilhamento de internet
$IPTABLES -t nat -A POSTROUTING -o $ETHE -s $LAN -j SNAT --to $IP_EXT
echo "1" > /proc/sys/net/ipv4/ip_forward

